classification
Title: curses.textpad loses characters at the end of lines
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.4, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, elachuni, shish
Priority: normal Keywords:

Created on 2008-05-01 16:39 by shish, last changed 2008-06-22 13:56 by akuchling. This issue is now closed.

Messages (4)
msg66035 - (view) Author: Shish (shish) Date: 2008-05-01 16:39
Even in the self-test suite, the bug appears, run:

python /usr/lib/python2.4/curses/textpad.py

then type so that the line wraps, eg 123456789123456789 to fill two 
lines, and then ctrl-g to return -- the result has had the end 
characters of each line removed, so the return value is 
12345678\n12345678\n

As a quick hack on my local install I changed line 56 from:

last = min(self.maxx, last+1)

to

last = min(self.maxx, last)+1

and it seems to work, but I have no idea if this is the right way to 
fix it (ie, this might have side effects, or this off-by-one might 
happen in several places and need a global fix, not just one local one)
msg66292 - (view) Author: Shish (shish) Date: 2008-05-05 21:43
Also present in 2.5
msg68503 - (view) Author: Anthony Lenton (elachuni) * Date: 2008-06-21 15:49
This doesn't happen to me with 2.6 compiled from HEAD, or with 2.5.2
shipped with Ubuntu Hardy.

In both cases the output is:

Contents of text box: '123456789\n123456789\n'
msg68564 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-06-22 13:56
This bug was fixed in 2.5 and 2.6, in rev. 60118 and 60119.  Thanks for
your bug report!
History
Date User Action Args
2008-06-22 13:56:10akuchlingsetstatus: open -> closed
assignee: akuchling
resolution: fixed
messages: + msg68564
nosy: + akuchling
2008-06-21 15:49:29elachunisetnosy: + elachuni
messages: + msg68503
2008-05-05 21:43:05shishsetmessages: + msg66292
components: + Library (Lib), - Extension Modules
versions: + Python 2.5
2008-05-01 17:17:51shishsettype: behavior
2008-05-01 16:39:40shishcreate